> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Credit Note Line Items

> List all Credit Note Line Items



## OpenAPI

````yaml invoices.latest.product.live GET /credit-notes/{creditnote}/line-items
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /credit-notes/{creditnote}/line-items:
    servers: []
    parameters: []
    get:
      tags:
        - Credit Note Line Items
      summary: List all Credit Note Line Items
      description: List all Credit Note Line Items
      operationId: getCreditNotesByCreditnoteLineItems
      parameters:
        - name: creditnote
          in: path
          description: The CreditNote ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListCreditNoteLineItemEndpointProductListCreditNoteLineItemPaginatedResponseModel
                example:
                  items:
                    - id: af60cab3-812d-4250-a051-0fb7133a00c7
                      creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                      groupId: cd11218d-fa00-4faa-8684-a43113d076a8
                      lineItemId: af60cab3-812d-4250-a051-0fb7133a00c7
                      title: Ferraris
                      description: Red
                      quantity: '2'
                      rate: '20000.10'
                      taxRate: '0.2'
                      index: 2
                      priceId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                      netTotal: '20000.00'
                      totalTax: '2000.00'
                      grossTotal: '22000.00'
                      rateDisplay: ABSOLUTE
                      externalIds:
                        - key: Xero
                          value: '123'
                      servicePeriod:
                        start: '2025-10-01'
                        endInclusive: '2025-10-30'
                      revenueRecognitionMethod: STRAIGHT_LINE
                      revenueClassification: EARNED
                      productId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListCreditNoteLineItemEndpointProductListCreditNoteLineItemPaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: af60cab3-812d-4250-a051-0fb7133a00c7
                        creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                        groupId: cd11218d-fa00-4faa-8684-a43113d076a8
                        lineItemId: af60cab3-812d-4250-a051-0fb7133a00c7
                        title: Ferraris
                        description: Red
                        quantity: '2'
                        rate: '20000.10'
                        taxRate: '0.2'
                        index: 2
                        priceId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                        netTotal: '20000.00'
                        totalTax: '2000.00'
                        grossTotal: '22000.00'
                        rateDisplay: ABSOLUTE
                        externalIds:
                          - key: Xero
                            value: '123'
                        servicePeriod:
                          start: '2025-10-01'
                          endInclusive: '2025-10-30'
                        revenueRecognitionMethod: STRAIGHT_LINE
                        revenueClassification: EARNED
                        productId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCreditNoteLineItemEndpointProductListCreditNoteLineItemPaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: af60cab3-812d-4250-a051-0fb7133a00c7
            creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
            groupId: cd11218d-fa00-4faa-8684-a43113d076a8
            lineItemId: af60cab3-812d-4250-a051-0fb7133a00c7
            title: Ferraris
            description: Red
            quantity: '2'
            rate: '20000.10'
            taxRate: '0.2'
            index: 2
            priceId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
            netTotal: '20000.00'
            totalTax: '2000.00'
            grossTotal: '22000.00'
            rateDisplay: ABSOLUTE
            externalIds:
              - key: Xero
                value: '123'
            servicePeriod:
              start: '2025-10-01'
              endInclusive: '2025-10-30'
            revenueRecognitionMethod: STRAIGHT_LINE
            revenueClassification: EARNED
            productId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: CreditNoteLineItems
          example:
            - id: af60cab3-812d-4250-a051-0fb7133a00c7
              creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
              groupId: cd11218d-fa00-4faa-8684-a43113d076a8
              lineItemId: af60cab3-812d-4250-a051-0fb7133a00c7
              title: Ferraris
              description: Red
              quantity: '2'
              rate: '20000.10'
              taxRate: '0.2'
              index: 2
              priceId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
              netTotal: '20000.00'
              totalTax: '2000.00'
              grossTotal: '22000.00'
              rateDisplay: ABSOLUTE
              externalIds:
                - key: Xero
                  value: '123'
              servicePeriod:
                start: '2025-10-01'
                endInclusive: '2025-10-30'
              revenueRecognitionMethod: STRAIGHT_LINE
              revenueClassification: EARNED
              productId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
          items:
            $ref: >-
              #/components/schemas/ListCreditNoteLineItemEndpointProductListCreditNoteLineItemResponseModel
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    ListCreditNoteLineItemEndpointProductListCreditNoteLineItemResponseModel:
      required:
        - creditNoteId
        - externalIds
        - grossTotal
        - id
        - index
        - netTotal
        - quantity
        - rate
        - rateDisplay
        - taxRate
        - title
        - totalTax
      type: object
      example:
        id: af60cab3-812d-4250-a051-0fb7133a00c7
        creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
        groupId: cd11218d-fa00-4faa-8684-a43113d076a8
        lineItemId: af60cab3-812d-4250-a051-0fb7133a00c7
        title: Ferraris
        description: Red
        quantity: '2'
        rate: '20000.10'
        taxRate: '0.2'
        index: 2
        priceId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        netTotal: '20000.00'
        totalTax: '2000.00'
        grossTotal: '22000.00'
        rateDisplay: ABSOLUTE
        externalIds:
          - key: Xero
            value: '123'
        servicePeriod:
          start: '2025-10-01'
          endInclusive: '2025-10-30'
        revenueRecognitionMethod: STRAIGHT_LINE
        revenueClassification: EARNED
        productId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
      properties:
        id:
          type: string
          description: Credit Note Line Item ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        creditNoteId:
          type: string
          description: Credit Note Line Item ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        groupId:
          type: string
          description: Credit Note Line Item Group ID
          example: cd11218d-fa00-4faa-8684-a43113d076a8
        lineItemId:
          type: string
          description: Line Item ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        title:
          type: string
          description: Item Title
          example: Ferraris
        description:
          type: string
          description: Item Description
          example: Red
        quantity:
          type: string
          description: Quantity
          example: '2'
        rate:
          type: string
          description: Rate per Item
          example: '20000.10'
        taxRate:
          type: string
          description: Tax Rate
          example: '0.2'
        index:
          type: integer
          description: Index (for maintaining order)
          example: 2
        priceId:
          type: string
          description: Price ID
          example: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        netTotal:
          type: string
          description: Net Total
          example: '20000.00'
        totalTax:
          type: string
          description: Total Tax
          example: '2000.00'
        grossTotal:
          type: string
          description: Gross Total
          example: '22000.00'
        rateDisplay:
          $ref: '#/components/schemas/RateDisplay'
          description: >-
            Determines whether rate is displayed as an absolute value or
            percentage
        externalIds:
          type: array
          description: IDs in external integrations
          example:
            - key: Xero
              value: '123'
          items:
            $ref: '#/components/schemas/IntegrationExternalIdentifier'
        servicePeriod:
          $ref: '#/components/schemas/InclusiveDateRange'
        revenueRecognitionMethod:
          $ref: '#/components/schemas/RevenueRecognitionMethod'
          description: >-
            Revenue recognition method. Valid values are: STRAIGHT_LINE,
            POINT_IN_TIME
        revenueClassification:
          $ref: '#/components/schemas/RevenueClassification'
          description: Revenue classification
        productId:
          type: string
          description: Product ID
          example: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    RateDisplay:
      type: string
      example: ABSOLUTE
      enum:
        - ABSOLUTE
        - PERCENTAGE
    IntegrationExternalIdentifier:
      required:
        - key
        - value
      type: object
      example:
        key: Xero
        value: '123'
      properties:
        key:
          $ref: '#/components/schemas/IntegrationService'
        value:
          type: string
          example: '123'
    InclusiveDateRange:
      required:
        - endInclusive
        - start
      type: object
      description: Billing period
      example:
        start: '2022-10-01'
        endInclusive: '2022-10-30'
      properties:
        start:
          type: string
          description: Start date, included in the whole range
          format: date
          example: '2022-10-01'
        endInclusive:
          type: string
          description: End date, included in the whole range
          format: date
          example: '2022-10-30'
    RevenueRecognitionMethod:
      type: string
      example: STRAIGHT_LINE
      enum:
        - STRAIGHT_LINE
        - USAGE
        - MILESTONE
        - POINT_IN_TIME
    RevenueClassification:
      type: string
      example: EARNED
      enum:
        - PREPAYMENT
        - EARNED
        - BURNDOWN
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere

````